#!/usr/bin/perl
#
#  Given the output of two test programs, print a list of points
#  where they differ. For example:
#    $ ./tbl_exact >exact.out
#    C:\> tbl_basic >basic.out
#    $ perl diffdist.pl >basic.diff
#

my %table;

open FILE, $ARGV[0] or die;
while (<FILE>) {
    $table{$1}{$2} = $3
      if m{^\s*(\d+)\s+(\d+)\s*->\s*(\d+)};
}
close FILE;
open FILE, $ARGV[1];
while (<FILE>) {
    print "$1 $2\n"
      if m{^\s*(\d+)\s+(\d+)\s*->\s*(\d+)}
        && $3 != $table{$1}{$2};
}
close FILE;
