#!/usr/bin/perl
#
#  Given the output from a 'diffdist', print the entries
#  where 'sqrt(x*x+y*y)' does not yield an integer
#

while (<STDIN>) {
    if (m{^\s*(\d+)\s+(\d+)}) {
        my ($x, $y) = ($1, $2);
        my $res = $x*$x + $y*$y;
        my $v = $x>$y ? $x : $y;
        while ($v*$v < $res) { ++$v; }
        if ($v*$v > $res) {
            print "not exact: $x, $y\n";
        }
    } else { die "<<$_>>"}
}
