#!/usr/bin/perl -w
#
#  Given the output of some program, generate the table.
#    C:\> tbl_basic >tbl_basic.out
#    $ perl mktable.pl <tbl_basic.out >disttabl.inc
#

my @table;

while (<STDIN>) {
    s/%//g;
    s/\r//g;
    if (/^$/) {
    } elsif (m{^\s*(\d+)\s+(\d+)\s*->\s*(\d+)}) {
        my ($x, $y, $dist) = ($1, $2, $3);
        $table[$x][$y] = $dist;
    } else {
        chomp;
        print STDERR "huh? '$_'\n";
    }
}

foreach my $y (1 .. 168) {
    my $init = $y - 1;
    my $counter = 0;
    my $value = 0;
    foreach my $x (0 .. 167) {
        if ($table[$x][$y] != $table[$y][$x]) {
            print STDERR "asymmetry at $x, $y\n";
        }
        if ($table[$x][$y] == $init) {
            # zero
        } elsif ($table[$x][$y] == ++$init) {
            # one
            $value |= 1 << $counter;
        } else {
            print STDERR "strange increment ", ($table[$x][$y] - $init + 1), "at $x, $y?\n";
            $init = $table[$x][$y];
        }
        if (++$counter >= 8) {
            printf "%3d,", $value;
            $value = 0;
            $counter = 0;
        }
    }
    if ($counter != 0) { die }
    print "\n";
}
